# module WEBrick::HTTPAuth::UserDB

User database mixin for `HTTPAuth`. This mixin dispatches user record access to the underlying `auth_type` for this database.

### Attributes

auth_type[RW]

The authentication type.

`WEBrick::HTTPAuth::BasicAuth` or `WEBrick::HTTPAuth::DigestAuth` are built-in.

### Public Instance Methods

get_passwd(realm, user, reload_db=false) click to toggle source

Retrieves a password in `realm` for `user` for the `auth_type` of this database. `reload_db` is a dummy value.

    # File lib/webrick/httpauth/userdb.rb, line 48
    def get_passwd(realm, user, reload_db=false)
      make_passwd(realm, user, self[user])
    end

make_passwd(realm, user, pass) click to toggle source

Creates an obscured password in `realm` with `user` and `password` using the `auth_type` of this database.

    # File lib/webrick/httpauth/userdb.rb, line 32
    def make_passwd(realm, user, pass)
      @auth_type::make_passwd(realm, user, pass)
    end

set_passwd(realm, user, pass) click to toggle source

Sets a password in `realm` with `user` and `password` for the `auth_type` of this database.

    # File lib/webrick/httpauth/userdb.rb, line 40
    def set_passwd(realm, user, pass)
      self[user] = pass
    end